import { Observable } from 'rxjs';
import { MsgState } from './../../../ngrx/msg.state';
import { CompanyState } from './../../../ngrx/company/company.state';
import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';

@Component({
  selector: 'app-company-management',
  templateUrl: './company-management.component.html',
  styleUrls: ['./company-management.component.css']
})
export class CompanyManagementComponent implements OnInit {

  constructor(private store: Store<{companyReducerSelector: CompanyState}>) { }

  companyState$!: Observable<CompanyState>;
  msgState = MsgState;

  ngOnInit(): void {
    this.companyState$ = this.store.select("companyReducerSelector");
  }

}
