import { GetAllComapaniesAction } from './../../../../ngrx/company/company.actions';
import { CompanyState } from './../../../../ngrx/company/company.state';
import { Router } from '@angular/router';
import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';

@Component({
  selector: 'app-company-navbar',
  templateUrl: './company-navbar.component.html',
  styleUrls: ['./company-navbar.component.css'],
})
export class CompanyNavbarComponent implements OnInit {
  constructor(
    private router: Router,
    private store: Store<{ companyReducerSelector: CompanyState }>
  ) {}

  ngOnInit(): void {}
  onCompanyCreate() {
    this.router.navigateByUrl('/company-create');
  }
  onCompanyGetAll() {
    this.store.dispatch(new GetAllComapaniesAction({}));
  }
}
