import { MsgState } from './../../../ngrx/msg.state';
import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { AddressState } from 'src/app/ngrx/user-s-address/address.state';

@Component({
  selector: 'app-address-management',
  templateUrl: './address-management.component.html',
  styleUrls: ['./address-management.component.css']
})
export class AddressManagementComponent implements OnInit {

  constructor(private store: Store<{addressReducerSelector: AddressState}>) { }
  addressState!: AddressState;
  msgState = MsgState;

  ngOnInit(): void {

    this.store.subscribe({
      next:(state)=>{
        this.addressState = state.addressReducerSelector;
      },
      error:(err)=>{}
    })
  }

}
