import { TableModule } from 'primeng/table';
import {  FormsModule, ReactiveFormsModule } from '@angular/forms';
import { ButtonModule } from 'primeng/button';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { CompanyManagerRoutingModule } from './company-manager-routing.module';
import { CompanyManagementComponent } from './company-management/company-management.component';
import { CompanyNavbarComponent } from './company-management/company-navbar/company-navbar.component';
import { CompanyCreateComponent } from './company-management/company-create/company-create.component';
import { CompaniesListComponent } from './company-management/companies-list/companies-list.component';
import { CompanyUpdateComponent } from './company-management/company-update/company-update.component';


@NgModule({
  declarations: [


    CompanyManagementComponent,
        CompanyNavbarComponent,
        CompanyCreateComponent,
        CompaniesListComponent,
        CompanyUpdateComponent
  ],
  imports: [
    CommonModule,
    CompanyManagerRoutingModule,
    ButtonModule,
    ReactiveFormsModule,
    TableModule,
    FormsModule
  ]
})
export class CompanyManagerModule { }
