import { UserUpdateComponent } from './user-management/user-update/user-update.component';
import { UserCreateComponent } from './user-management/user-create/user-create.component';
import { UserManagementComponent } from './user-management/user-management.component';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  { path: "users-management", component: UserManagementComponent },
  { path: "user-create", component: UserCreateComponent },
  { path:"user-update/:userID", component: UserUpdateComponent}
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class UserManagerRoutingModule {}
