import { AddressUpdateComponent } from './address-management/address-update/address-update.component';
import { AddressCreateComponent } from './address-management/address-create/address-create.component';
import { AddressManagementComponent } from './address-management/address-management.component';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  { path: 'addresses-management', component: AddressManagementComponent },
  { path: 'address-create', component: AddressCreateComponent },
  { path: 'address-update/:addressID', component: AddressUpdateComponent },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class UserSAddressManagerRoutingModule {}
